#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <Xol/OpenLook.h>
#include <Xol/OblongButt.h>
main(argc, argv)
  int   argc;
  char *argv[];
{
  Widget     toplevel, msg_widget;
  void       quit();
  XtAppContext app;
  OlToolkitInitialize((XtPointer)NULL);
  OlSetDefaultTextFormat(OL_MB_STR_REP);
  toplevel = XtAppInitialize(&app, "Memo", 
                (XrmOptionDescList)NULL, 0,
                (Cardinal *)&argc, argv, NULL, (ArgList) NULL, 0);
  /* Create the OblongButton widget. */
  msg_widget = XtVaCreateManagedWidget("msg", oblongButtonWidgetClass,
                             toplevel, XtNlabel, "Press to quit",
                             NULL);
  /* Register the callback to be called when the button is pressed */
  XtAddCallback(msg_widget, XtNselect, quit, NULL);
  /* Realize the widgets and enter the event loop. */
  XtRealizeWidget(toplevel);
  XtAppMainLoop(app); 
}
